
Infrastructure - Task #2606

Story # 3882 (Closed): Refactor hzNodes out of CN Node Registry

updateNodeCapabilities soley dependent upon hazelcast

2012-04-13 18:22 - Robert Waltz

Status: Rejected Start date: 2012-04-13

Priority: Normal Due date: 2013-06-22

Assignee: Robert Waltz % Done: 0%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-1.4 Story Points:  

Product Version: *   

Description

If the hazelcast client is unable to connect to the cluster, then LDAP should be updated with new information regardless.

q: Which brings up the problem of how to notify the cluster members when client is able to connect again? a1: hzProcessing needs to

reschedule quartz jobs  when it identifies a new cluster member joining. a2: try to connect to any hzMember as noted in the

node.properties file if localhost fails. if they all fail, then perform updateNodeCapabilities only in LDAP

Related issues:

Related to Infrastructure - Task #3042: updateNodeCapabilities blocks due to ... Rejected 2012-06-30 2013-06-22

History

#1 - 2012-04-23 17:10 - Robert Waltz

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.17-Block.3.1

#2 - 2012-05-07 17:41 - Dave Vieglais

- Position set to 1

- Target version deleted (Sprint-2012.17-Block.3.1)

#3 - 2012-06-11 19:36 - Robert Waltz

- Milestone changed from CCI-1.0.0 to CCI-1.1

#4 - 2012-09-18 15:55 - Robert Waltz

- Target version set to Sprint-2012.41-Block.6.1

- Milestone changed from CCI-1.1 to CCI-1.0.5

#5 - 2012-09-18 16:58 - Robert Waltz

- Position deleted (47)

- Position changed from 1 to 491

- Position set to 1

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.39-Block.5.4

#6 - 2012-09-26 16:55 - Robert Waltz

- Milestone changed from CCI-1.0.5 to CCI-1.1

#7 - 2012-10-08 16:49 - Robert Waltz

- translation missing: en.field_remaining_hours set to 0.0

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

- Due date set to 2012-10-27
#8 - 2012-10-29 16:36 - Robert Waltz

- Due date changed from 2012-10-27 to 2012-11-10

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#9 - 2012-12-04 14:02 - Robert Waltz

- Due date changed from 2012-11-10 to 2013-01-05

- Milestone changed from CCI-1.1 to CCI-1.1.1

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#10 - 2012-12-12 18:37 - Robert Waltz

- Status changed from New to In Progress

#11 - 2013-01-14 17:36 - Robert Waltz

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

- Due date changed from 2013-01-05 to 2013-01-19

#12 - 2013-03-01 19:14 - Robert Waltz

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

- Due date changed from 2013-01-19 to 2013-03-16

#13 - 2013-06-05 04:53 - Robert Waltz

- Milestone changed from CCI-1.1.1 to CCI-1.1.2

- Target version changed from 2013.10-Block.2.1 to 2013.24-Block.3.4

- Due date changed from 2013-03-16 to 2013-06-22

#14 - 2013-08-02 17:25 - Robert Waltz

- Target version changed from 2013.24-Block.3.4 to 2013.33-Block.4.4

#15 - 2013-08-02 17:25 - Robert Waltz

- Parent task set to #3882

#16 - 2013-08-02 18:19 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#17 - 2013-08-02 18:21 - Robert Waltz

- Milestone changed from CCI-1.1.2 to CCI-1.3

- Estimated time set to 0.00

#18 - 2013-08-15 19:16 - Robert Waltz

- Target version changed from 2013.37-Block.5.2 to 2013.33-Block.4.4

#19 - 2013-10-28 21:10 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.46-Block.6.2

#20 - 2013-10-28 21:12 - Robert Waltz

- Product Version set to 1.2.1

- Milestone changed from CCI-1.3 to CCI-1.2

#21 - 2014-01-06 18:45 - Chris Jones
- Target version changed from 2013.46-Block.6.2 to 2014.8-Block.1.4

#22 - 2014-01-06 23:09 - Robert Waltz

- Target version changed from 2014.8-Block.1.4 to 2014.6-Block.1.3

#23 - 2014-03-14 18:17 - Robert Waltz

- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#24 - 2014-06-26 22:01 - Robert Waltz

- Target version changed from 2014.14-Block.2.3 to 2014.28-Block.4.2

#25 - 2014-07-29 19:51 - Robert Waltz

- Product Version changed from 1.2.1 to *

- Milestone changed from CCI-1.2 to CCI-1.4

#26 - 2014-07-29 19:52 - Robert Waltz

- Target version deleted (2014.28-Block.4.2)

#27 - 2014-10-01 19:33 - Robert Waltz

- Target version set to Maintenance Backlog

#28 - 2014-10-01 20:28 - Robert Waltz

- Target version changed from Maintenance Backlog to Release Backlog

#29 - 2014-10-02 20:02 - Robert Waltz

- Target version changed from Release Backlog to CCI-2.1.0

#30 - 2015-10-15 19:59 - Robert Waltz

- Status changed from In Progress to Rejected

hzNodes has been factored out of Hazelcast.
